Bug 378531 - Review Request: python-xmltramp - xmltramp is a pythonic API for working with XML
Review Request: python-xmltramp - xmltramp is a pythonic API for working with...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 13:58 EST by Dave Malcolm
Modified: 2008-01-21 12:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 12:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2007-11-12 13:58:06 EST
Spec URL: http://people.redhat.com/dmalcolm/python/python-xmltramp.spec
SRPM URL: http://people.redhat.com/dmalcolm/python/python-xmltramp-2.17-1.src.rpm
Description: 
xmltramp is a simple Pythonic API for working with XML
Comment 1 Parag AN(पराग) 2007-11-13 02:00:02 EST
rpmlint gave me
python-xmltramp.src: W: summary-not-capitalized xmltramp is a pythonic API for
working with XML
==>Summary doesn't begin with a capital letter.

python-xmltramp.src: W: invalid-license GPL v2
==> should be GPLv2

Also, follow
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
Comment 2 Parag AN(पराग) 2007-11-13 02:08:15 EST
this package should include License text or file.
Ask upstream to release either tarball containing this script and license or ask
them to put license text in that script.
Comment 3 Dave Malcolm 2007-11-13 15:14:25 EST
Thanks for reviewing this package.  

Re comment #2, it seems simplest to add appropriate header text to the script,
so I've emailed the upstream author requesting he do this (with a proposed patch)

Re comment #1, I've fixed these issues locally, will await a response from
upstream author before posting next version of specfile.
Comment 4 Parag AN(पराग) 2007-12-18 09:12:12 EST
any updates?
Comment 5 Dave Malcolm 2007-12-18 10:05:12 EST
I haven't heard back from the upstream author.
Comment 6 Parag AN(पराग) 2008-01-18 09:13:07 EST
ping?
Comment 7 Dave Malcolm 2008-01-18 09:53:52 EST
Thanks.  I haven't heard back from the upstream author, so I've emailed
fedora-legal-list asking if comment #2 is a blocker for including this in Fedora
(email is currently awaiting moderator approval)
Comment 8 Dave Malcolm 2008-01-18 13:32:59 EST
According to tcallawa on fedora-legal-list:
https://www.redhat.com/archives/fedora-legal-list/2008-January/msg00010.html

"Not a blocker, tag it as License: GPLv2 and put a comment in the spec
file about the missing License text."

I've tried to address comment #1; updated spec at:
http://people.redhat.com/dmalcolm/python/python-xmltramp.spec

Updated SRPM at:
http://people.redhat.com/dmalcolm/python/python-xmltramp-2.17-3.src.rpm

Thanks
Comment 9 Parag AN(पराग) 2008-01-20 22:35:46 EST
APPROVED.
Comment 10 Dave Malcolm 2008-01-21 09:50:14 EST
New Package CVS Request
=======================
Package Name: python-xmltramp
Short Description: Pythonic API for XML
Owners: dmalcolm
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-01-21 12:00:25 EST
cvs done.
Comment 12 Dave Malcolm 2008-01-21 12:21:37 EST
Imported and built into devel and F8

Thanks for reviewing this

Note You need to log in before you can comment on or make changes to this bug.